%define pyver %(%{__python} -c "import sys; print sys.version[:3]")

%define glib_version 2.6.0
%define gtk_version 2.4.0
%define gnome_python_version 2.9.0
%define gda_version 1.2.0

Summary: PyGNOME Python extension module for interacting with gda
Name: gnome-python2-gda
Version: 2.14.0
Release: 2%{?dist}
License: LGPL
Group: Development/Languages
URL: http://developer.gnome.org
Source0: ftp://ftp.gnome.org:/pub/gnome/sources/gnome-python-extras/2.14/gnome-python-extras-%{version}.tar.bz2
Patch0: gnome-python2-gda-configure.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:  compat-libgda >= %{gda_version}
Requires: gnome-python2 >= %{gnome_python_version}
Requires: python-abi = %{pyver}
BuildRequires: gtk2-devel >= %{gtk_version}
BuildRequires: gnome-python2 >= %{gnome_python_version}
BuildRequires: compat-libgda-devel >= %{gda_version}
BuildRequires: python-devel
BuildRequires: pygtk2-devel


%description
The gnome-python-extra package contains the source packages for
additional Python bindings for GNOME. It should be used together with
gnome-python. This module contains a wrapper that allows the use of
gda via Python.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       pygtk2-devel
Requires:       compat-libgda-devel


%description devel
This package contains the static libraries and header files needed for
developing gtkmm applications.


%prep
%setup -q -n gnome-python-extras-%{version}
%patch0 -p1 -b .configure


%build
%configure --disable-glib-test --disable-gtk-test --disable-dependency-tracking 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

rm -rf $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/gnome-python-extras-2.0.pc
rm -rf $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/gtk-2.0/egg
rm -rf $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gksu
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gtk-doc


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS COPYING COPYING.LGPL MAINTAINERS
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gda.so
%{_datadir}/pygtk/2.0/defs/gda.defs


%files devel
%defattr(-,root,root,-)
%doc README ChangeLog
%{_libdir}/pkgconfig/pygda-1.2.pc
%{_includedir}/pygda-1.2


%changelog
* Wed Oct  4 2006 Denis Leroy <denis@poolshark.org> - 2.14.0-2
- Fixed devel Requires for pygtk2

* Mon Jul 24 2006 Denis Leroy <denis@poolshark.org> - 2.14.0-1
- First draft, adapted from gnome-python2-extras from core

